aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListUsers

Synopsis

- data ListUsers = ListUsers {
  - luPathPrefix :: Maybe Text
  - luMarker :: Maybe Text
  - luMaxItems :: Maybe Integer
  }
- data ListUsersResponse = ListUsersResponse {
  - lurUsers :: [User]
  - lurIsTruncated :: Bool
  - lurMarker :: Maybe Text
  }
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data ListUsers Source #

Lists users that have the specified path prefix.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListUsers.html

Constructors

ListUsers |

Fields

- luPathPrefix :: Maybe Text

  Users defined under this path will be listed. If omitted, defaults to `/`, which lists all users.

- luMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- luMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListUsers Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ServiceConfiguration ListUsers |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration

Methods

signQuery :: ListUsers -> ServiceConfiguration ListUsers queryType -> SignatureData -> SignedQuery Source #

Show ListUsers Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods showsPrec :: Int -> ListUsers -> ShowS Source # show :: ListUsers -> String Source # showList :: [ListUsers] -> ShowS Source #
Eq ListUsers Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods (==) :: ListUsers -> ListUsers -> Bool Source # (/=) :: ListUsers -> ListUsers -> Bool Source #
Ord ListUsers Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Methods

compare :: ListUsers -> ListUsers -> Ordering Source #

(<) :: ListUsers -> ListUsers -> Bool Source #

(<=) :: ListUsers -> ListUsers -> Bool Source #

(>) :: ListUsers -> ListUsers -> Bool Source #

(>=) :: ListUsers -> ListUsers -> Bool Source #

max :: ListUsers -> ListUsers -> ListUsers Source #

min :: ListUsers -> ListUsers -> ListUsers Source #

IteratedTransaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers Source #
ResponseConsumer ListUsers ListUsersResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ResponseMetadata ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUsers -> IORef (ResponseMetadata ListUsersResponse) -> HTTPResponseConsumer ListUsersResponse Source #

Transaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers
type ServiceConfiguration ListUsers Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration

data ListUsersResponse Source #

Constructors

ListUsersResponse |

Fields

- lurUsers :: [User]

  List of `User`s.

- lurIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lurMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListUsersResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type MemoryResponse ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse

Methods

loadToMemory :: ListUsersResponse -> ResourceT IO (MemoryResponse ListUsersResponse) Source #

Show ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods showsPrec :: Int -> ListUsersResponse -> ShowS Source # show :: ListUsersResponse -> String Source # showList :: [ListUsersResponse] -> ShowS Source #
Eq ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods (==) :: ListUsersResponse -> ListUsersResponse -> Bool Source # (/=) :: ListUsersResponse -> ListUsersResponse -> Bool Source #
Ord ListUsersResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Methods

compare :: ListUsersResponse -> ListUsersResponse -> Ordering Source #

(<) :: ListUsersResponse -> ListUsersResponse -> Bool Source #

(<=) :: ListUsersResponse -> ListUsersResponse -> Bool Source #

(>) :: ListUsersResponse -> ListUsersResponse -> Bool Source #

(>=) :: ListUsersResponse -> ListUsersResponse -> Bool Source #

max :: ListUsersResponse -> ListUsersResponse -> ListUsersResponse Source #

min :: ListUsersResponse -> ListUsersResponse -> ListUsersResponse Source #

IteratedTransaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers Source #
ResponseConsumer ListUsers ListUsersResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ResponseMetadata ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUsers -> IORef (ResponseMetadata ListUsersResponse) -> HTTPResponseConsumer ListUsersResponse Source #

Transaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers
type MemoryResponse ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse
type ResponseMetadata ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

data User Source #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User Source # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS Source # show :: User -> String Source # showList :: [User] -> ShowS Source #
Eq User Source # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool Source # (/=) :: User -> User -> Bool Source #
Ord User Source # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering Source # (<) :: User -> User -> Bool Source # (<=) :: User -> User -> Bool Source # (>) :: User -> User -> Bool Source # (>=) :: User -> User -> Bool Source # max :: User -> User -> User Source # min :: User -> User -> User Source #